document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
    StatusBar.hide();
}

function updateTimePlayed(game) {
    console.log('update time played called');
	game.sessionDuration = game.loop.getDuration() - game.lastUpdateCallSeconds;
	game.lastUpdateCallSeconds = game.loop.getDuration();
	game.timePlayed += game.sessionDuration;
    console.log('session duation '+game.sessionDuration);
    console.log('total time played ' + game.timePlayed);
	localStorage.setItem('rocketateNextTimePlayed', game.timePlayed);
}

var inGame = false;

//adMob stuff
var admobid = {};

// TODO: replace the following ad units with your own
if( /(android)/i.test(navigator.userAgent) ) {
  admobid = { // for Android
    banner: '',
    interstitial: 'ca-app-pub-7285300233036242/3207044935',
    rewardvideo: '',
  };
} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
  admobid = { // for iOS
    banner: '',
    interstitial: '',
    rewardvideo: '',
  };
} else {
  admobid = { // for Windows Phone
    banner: '',
    interstitial: '',
    rewardvideo: '',
  };
};

function prepareAd(game){
    console.log('prepare ad called');
    if (game.device.os.cordova)
    {
        console.log('not desktop');
        game.adReady = false;
        AdMob.prepareInterstitial({
            adId:admobid.interstitial,
            autoShow: false,
            isTesting: true
        });
    }       
};

function showAd(game){
    console.log('show ad called');
    console.log('add ready status '+game.adReady);
    if (!game.device.desktop)
    {
        if (game.adReady) {
            AdMob.showInterstitial();
            game.adShown = true;
        }
    }       
};

document.addEventListener('onAdLoaded', function(data){
    console.log('date loaded '+data);
    if (data.adType =='interstitial') {
        window.game.adReady = true;
        console.log('ad ready to true');
    }
});

document.addEventListener('onAdPresent', function(data){
    console.log('ad present event '+data);
});